Bug 1431443 - Review Request: spglib - C library for finding and handling crystal symmetries
Summary: Review Request: spglib - C library for finding and handling crystal symmetries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1431445
TreeView+ depends on / blocked
 
Reported: 2017-03-12 15:47 UTC by Antonio T. (sagitter)
Modified: 2017-04-01 17:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-26 21:23:28 UTC
Type: ---
junghans: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2017-03-12 15:47:29 UTC
Spec URL: https://sagitter.fedorapeople.org/spglib/spglib.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/avogadro2/fedora-rawhide-x86_64/00525212-spglib/spglib-1.9.9-1.fc27.src.rpm

Description: C library for finding and handling crystal symmetries

Fedora Account System Username: sagitter

Comment 1 Antonio T. (sagitter) 2017-03-13 10:23:18 UTC
Tests disabled because one still fails with Python-3.6: https://github.com/atztogo/spglib/issues/34

Comment 2 Christoph Junghans 2017-03-13 15:11:05 UTC
Summary:
- use %{name} in -devel includedir
- Package should compile and build into binary rpms on all supported architectures. Please do a build on koji.
- in %check, add a comment with reference to https://github.com/atztogo/spglib/issues/34
- Package should not use obsolete m4 macros, fix: sed -i 's/AM_PROG_LIBTOOL/AC_PROG_LIBTOOL/' configure.ac
- why are you not using "autoreconf -v -i" instead of autoconf, automake etc. ?
- Remove two empty files: 
  spglib.x86_64: E: zero-length /usr/share/doc/spglib/AUTHORS
  spglib.x86_64: E: zero-length /usr/share/doc/spglib/README


Detailed Package Review
=======================

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v2 or later)", "Unknown or generated".
     843 files have unknown license. Detailed output of licensecheck in
     /travis/spglib/review-spglib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in spglib-
     devel , python3-spglib , spglib-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: spglib-1.9.9-1.fc27.x86_64.rpm
          spglib-devel-1.9.9-1.fc27.x86_64.rpm
          python3-spglib-1.9.9-1.fc27.x86_64.rpm
          spglib-debuginfo-1.9.9-1.fc27.x86_64.rpm
          spglib-1.9.9-1.fc27.src.rpm
spglib.x86_64: E: zero-length /usr/share/doc/spglib/README
spglib.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
spglib.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
spglib.x86_64: E: zero-length /usr/share/doc/spglib/AUTHORS
spglib-devel.x86_64: W: only-non-binary-in-usr-lib
spglib-devel.x86_64: W: no-documentation
python3-spglib.x86_64: W: no-documentation
python3-spglib.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-spglib.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
spglib.src:65: W: macro-in-comment %{python3_sitearch}
spglib.src:65: W: macro-in-comment %{python3_version}
5 packages and 0 specfiles checked; 2 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: spglib-debuginfo-1.9.9-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
spglib-devel.x86_64: W: only-non-binary-in-usr-lib
spglib-devel.x86_64: W: no-documentation
python3-spglib.x86_64: W: no-documentation
python3-spglib.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-spglib.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
spglib.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
spglib.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
spglib.x86_64: E: zero-length /usr/share/doc/spglib/AUTHORS
spglib.x86_64: E: zero-length /usr/share/doc/spglib/README
4 packages and 0 specfiles checked; 2 errors, 7 warnings.



Requires
--------
spglib-debuginfo (rpmlib, GLIBC filtered):

spglib-devel (rpmlib, GLIBC filtered):
    libsymspg.so.0()(64bit)
    spglib(x86-64)

python3-spglib (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.6m.so.1.0()(64bit)
    python(abi)
    python3-numpy
    rtld(GNU_HASH)

spglib (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
spglib-debuginfo:
    spglib-debuginfo
    spglib-debuginfo(x86-64)

spglib-devel:
    spglib-devel
    spglib-devel(x86-64)

python3-spglib:
    python3-spglib
    python3-spglib(x86-64)
    python3.6dist(spglib)
    python3dist(spglib)

spglib:
    libsymspg.so.0()(64bit)
    spglib
    spglib(x86-64)



Unversioned so-files
--------------------
python3-spglib: /usr/lib64/python3.6/site-packages/spglib/_spglib.cpython-36m-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/atztogo/spglib/archive/v1.9.9.tar.gz#/spglib-1.9.9.tar.gz :
  CHECKSUM(SHA256) this package     : 315642d356c3e7b9cd0e3854f39e10cae89d5f757860db280f61eab3b70d17c2
  CHECKSUM(SHA256) upstream package : 315642d356c3e7b9cd0e3854f39e10cae89d5f757860db280f61eab3b70d17c2


AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: spglib-1.9.9/configure.ac:18


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v --mock-config fedora-rawhide-x86_64 -n spglib
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Gwyn Ciesla 2017-03-17 11:51:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/spglib

Comment 6 Fedora Update System 2017-03-17 17:09:35 UTC
spglib-1.9.9-3.20170315gitbf4b4c.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b1335e6527

Comment 7 Fedora Update System 2017-03-17 17:09:43 UTC
spglib-1.9.9-3.20170315gitbf4b4c.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e2befef42

Comment 8 Fedora Update System 2017-03-17 22:23:33 UTC
spglib-1.9.9-3.20170315gitbf4b4c.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e2befef42

Comment 9 Fedora Update System 2017-03-19 02:22:26 UTC
spglib-1.9.9-3.20170315gitbf4b4c.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b1335e6527

Comment 10 Fedora Update System 2017-03-26 21:23:28 UTC
spglib-1.9.9-3.20170315gitbf4b4c.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-04-01 17:13:34 UTC
spglib-1.9.9-3.20170315gitbf4b4c.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.